VDSPlanet Forums

VDSPlanet - Русский (Russian) => Про IRC => Topic started by: SuperTurtle on April 24, 2008, 10:21:57 AM



Title: Немогу настроить поддержку SSL в psyBNC
Post by: SuperTurtle on April 24, 2008, 10:21:57 AM
при компиляции написано openssl not found
в мане на psybnc.at написано
Quote
Connection Encryption in psyBNC2.3 was moved to SSL. If you want
to encrypt your Bouncerlinks or your Connections from Users, you
would have to install the OpenSSL package available on www.openssl.org.
Пакет OpenSSL поставил но компилится он всеравно без поддержки SSL
Пробывал менять в опциях make menuconfig путь к опенссл толку нет =(
Ось дебиан
Версия пси psyBNC2.3.2-7


Title: Re: Немогу настроить поддержку SSL в psyBNC
Post by: VDSPlanet on April 24, 2008, 11:41:01 AM
Может быть вы не установили OpenSSL dev?

Попробуйте:

Quote
apt-get install openssl-dev


Сообщите если это сработало.


Title: Re: Немогу настроить поддержку SSL в psyBNC
Post by: SuperTurtle on May 01, 2008, 08:43:54 AM
Данное действие не помогло так как в дебиане попросту нет такого пакета.
Но мне всеже помогли разобраться: спасибо [email protected]
Для тех кто как и я будет пытаться скомпилить PsyBNC с поддержкой SSL опишу порядок действий
1)Устанавливаем необходимые пакеты
Quote
# apt-get install openssl libssl-dev
2)Вызываем make menuconfig в дирктории баунсера и меняем SSL-Path на /usr
3)Компилируем
Quote
#make
4)Дописываем в конфиг следуюшие строки
Quote
PSYBNC.SYSTEM.HOST1=S=хост
PSYBNC.SYSTEM.PORT1=порт
где хост это айпи адрес вашего сервеа
а порт это порт который баунсер будет слушать и к которому надо цепляться чтобы установить защишеное соединение


Title: Re: Немогу настроить поддержку SSL в psyBNC
Post by: VDSPlanet on May 01, 2008, 08:54:50 AM
Спасибо за информацию. Уверен, что в будущем она будет кому-то полезна.  ;)